GNU Radio 2.x: gr_simple_framer Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_simple_framer Class Reference
[Signal Processing Blocks]

`#include <gr_simple_framer.h>`

Inheritance diagram for gr_simple_framer:

[legend]
Collaboration diagram for gr_simple_framer:

[legend]
List of all members.

## Detailed Description

add sync field, seq number and command field to payload

## Public Member Functions
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
| Estimate input requirements given output request.
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
| compute output items from input items
## Friends
gr_simple_framer_sptr | gr_make_simple_framer (int payload_bytesize)

## Member Function Documentation

void gr_simple_framer::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) | `[virtual]`

  | Estimate input requirements given output request. Parameters:
  | noutput_items | number of output items to produce
  | ninput_items_required | number of input items required on each input stream
Given a request to product `noutput_items`, estimate the number of data items required on each input stream. The estimate doesn't have to be exact, but should be close. Reimplemented from gr_block.

int gr_simple_framer::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) | `[virtual]`

  | compute output items from input items Parameters:
  | noutput_items | number of output items to write on each output stream
  | ninput_items | number of input items available on each input stream
  | input_items | vector of pointers to the input items, one entry per input stream
  | output_items | vector of pointers to the output items, one entry per output stream
Returns: number of items actually written to each output stream, or -1 on EOF. It is OK to return a value less than noutput_items. -1 <= return value <= noutput_items general_work must call consume or consume_each to indicate how many items were consumed on each input stream. Implements gr_block.

## Friends And Related Function Documentation

gr_simple_framer_sptr gr_make_simple_framer | ( | int | payload_bytesize | ) | `[friend]`

The documentation for this class was generated from the following files:

- gr_simple_framer.h
- gr_simple_framer.cc